#include <QFile>
#include <QProcess>
#include <QCoreApplication>
#include <QDebug>
#include <QMessageBox>
#include <QApplication>

int main(int argc, char *argv[]) {
    QApplication app(argc, argv);
    QMessageBox::information(nullptr, "Привет, мир!", "Я прелаунчер! Сейчас запущу Наследие. Вообще, я сначала должен обновить его, но делать пока этого я не умею...");
    QProcess process;
    process.setProgram(QApplication::applicationDirPath() + "/Legacy.exe");
    process.setArguments({"prelaunched"});
    if (!process.startDetached()) {
        QMessageBox::critical(nullptr, "Дичь произошла...", "Не могу запустить процесс Наследия! Проверьте существование и доступность файла " + QApplication::applicationDirPath() + "/Legacy_v2.exe");
    }
    return 0;
}
